Bug 103292 - need kde session desktop file
need kde session desktop file
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
Reported: 2003-08-28 12:00 EDT by Alexander Larsson
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-29 12:02:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The session desktop file used for gnome. (1.84 KB, text/plain)
2003-08-29 04:02 EDT, Alexander Larsson
no flags Details

  None (edit)
Description Alexander Larsson 2003-08-28 12:00:01 EDT
The new gdm uses a new common session format. To make gdm pick up KDE for its
list of session kde needs top put a /etc/X11/dm/Sessions/KDE.desktop file (note
the 'dm' is not 'gdm'), similar to the gnome.desktop one. The Exec= line in
there is the argument passed to Xsession.
Comment 1 Ngo Than 2003-08-28 12:48:03 EDT
could you please give more infos about the syntax of desktop file? thanks
Comment 2 George Lebl 2003-08-28 14:47:21 EDT
The .desktop file is pretty much like the desktop files from
www.freedesktop.org.  Except only a subset of the functionality is used, for
example icons are not yet used, and TryExec is not implemented yet either.  The
Exec= line can additionally be 'default' (runs system default) 'custom' (runs
~/.xsession) or 'failsafe' (run a failsafe xterm).  In the rh Xsession, custom
and default would really be the same since by default we run a custom like
session.  KDM will at some point support the same setup.
Comment 3 Alexander Larsson 2003-08-29 04:02:14 EDT
Created attachment 94061 [details]
The session desktop file used for gnome.

I haven't managed to build the new gdm just yet, so here I'm attaching how the
gnome session desktop file looks. I hope to get the new gdm built today.
Comment 4 Ngo Than 2003-08-29 12:02:38 EDT
it's fixed in kdebase-3.1.3-7.

Note You need to log in before you can comment on or make changes to this bug.